> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PH Philsys (QR Scan)

> Verify Philippine PhilSys records using QR scan data.

<CardGroup cols={1}>
  <Card title="Philsys API Help Page" href="https://docs.idmetagroup.com/resources/philsys-check-via-api">
    Verify Philippine PhilSys records using QR scan data.
  </Card>
</CardGroup>


## OpenAPI

````yaml api-reference/government-data/philippines/ph-philsys-check/ph-philsys-qr-scan.openapi.json POST /api/v1/verification/scan-qr
openapi: 3.0.3
info:
  title: IDmeta API - PH Philsys (QR Scan)
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    variables:
      environment-subdomain:
        default: integrate
        enum:
          - integrate
          - api.ph
        description: >-
          IDmeta environment subdomain. Use `api.ph` for
          portalph.idmetagroup.com and `integrate` for verify.idmetagroup.com.
security:
  - bearerAuth: []
paths:
  /api/v1/verification/scan-qr:
    post:
      tags:
        - Government Data
      summary: PH Philsys (QR Scan)
      description: Verify Philippine PhilSys records using QR scan data.
      operationId: phPhilsysQrScanV1
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer {your_api_token}
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - qr_data
                - face_liveness_session_id
                - template_id
                - verification_id
              properties:
                qr_data:
                  type: string
                  description: QR data string from the PhilSys QR payload.
                face_liveness_session_id:
                  type: string
                  description: Liveness session ID retrieved from the IDmeta Liveness SDK.
                template_id:
                  type: integer
                  description: >-
                    Identifier used to categorize or group requests for tracking
                    or reporting.
                verification_id:
                  type: string
                  description: A unique ID used to identify your verification request.
              example:
                qr_data: '2065807137608367'
                face_liveness_session_id: '{liveness session id retrieved from the IDmeta Liveness SDK}'
                template_id: '{your_trust_flow_id}'
                verification_id: '{your_created_verification_id}'
            example:
              qr_data: '2065807137608367'
              face_liveness_session_id: '{liveness session id retrieved from the IDmeta Liveness SDK}'
              template_id: '{your_trust_flow_id}'
              verification_id: '{your_created_verification_id}'
      responses:
        '200':
          description: PH Philsys QR scan processed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                  status_message:
                    type: string
                  message:
                    type: string
                  result:
                    type: string
                example:
                  status: 1
                  status_message: REJECTED
                  message: Invalid Face and PhilSys ID Combination
                  result: >-
                    "{\"data\":{\"verified\":false},\"meta\":{\"tier_level\":\"Tier
                    II\",\"result_grade\":2}}"
              example:
                status: 1
                status_message: REJECTED
                message: Invalid Face and PhilSys ID Combination
                result: >-
                  "{\"data\":{\"verified\":false},\"meta\":{\"tier_level\":\"Tier
                  II\",\"result_grade\":2}}"
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````